#ifndef STORE_GAME_SERVICES
#define STORE_GAME_SERVICES

#include"ThanatosAndroid.h"

void StoreGameServicesInitialize();
void StoreGameServicesFinalize();
void StoreGameServicesStartCallback();
void StoreGameServicesStopCallback();

void StoreGameServicesLoginCallback();
void StoreGameServicesLogoutCallback();

void StoreGameServicesSignIn( void* args );
void StoreGameServicesSignOut( void* args );

void StoreGameServicesAchievementUnlock( void* args );
void StoreGameServicesLeaderboardSubmitScore( void* args );

void StoreGameServicesAchievementLoadCallback( jstring jAchievementIds );

void StoreGameServicesShowAchievement( void* args );

void StoreGameServicesSigninErrorUpdate( int errorCode );

#endif
